Subject: Re: [PATCH v6 03/41] guix: node-build-system: Add JSON utilities.

From: Liliana Marie Prikler <[email-masked]>
Date: Thu, 30 Dec 2021 17:56:23 +0100

Am Donnerstag, dem 30.12.2021 um 02:38 -0500 schrieb Philip McGrath:
> This commit adds several utility functions for non-destructive
> transformation of the JSON representation used by (guix build json),
> particularly for purely functional update of JSON objects.  They
> should
> eventually be exported, but most are private for now to allow for
> more
> experience and consideration before commiting to the API.  The design
> was largely inspired by the 'racket/dict' and 'racket/hash'
> libraries.
> Liliana Marie Prikler proposed 'with-atomic-json-file-replacement'.
Given that this is a fair amount of procedures that you're proposing, I
think a new file would be appropriate.  Perhaps (guix build json-
utils)?  Adding that should IIUC not cause a world rebuild, so we could
do that on master.